diff --git a/kernel/nvidia/include/media/ov5693.h b/kernel/nvidia/include/media/ov5693.h
index e1722b6d5..0e6adeee7 100644
--- a/kernel/nvidia/include/media/ov5693.h
+++ b/kernel/nvidia/include/media/ov5693.h
@@ -23,13 +23,16 @@
 
 #define OV5693_INVALID_COARSE_TIME  -1
 
-#define OV5693_EEPROM_ADDRESS		0x54
+//#define OV5693_EEPROM_ADDRESS		0x54
+#define OV5693_EEPROM_ADDRESS		0xc
 #define OV5693_EEPROM_SIZE		1024
 #define OV5693_EEPROM_STR_SIZE		(OV5693_EEPROM_SIZE * 2)
 #define OV5693_EEPROM_BLOCK_SIZE	(1 << 8)
+#if 0
 #define OV5693_EEPROM_NUM_BLOCKS \
 	(OV5693_EEPROM_SIZE / OV5693_EEPROM_BLOCK_SIZE)
-
+#endif
+#define OV5693_EEPROM_NUM_BLOCKS 1
 #define OV5693_OTP_LOAD_CTRL_ADDR	0x3D81
 #define OV5693_OTP_BANK_SELECT_ADDR	0x3D84
 #define OV5693_OTP_BANK_START_ADDR	0x3D00
